[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemonApplication.StopDaemons

Stop all daemons

## Declaration

Source position: daemonapp.pp line 395

`public procedure TCustomDaemonApplication.StopDaemons(`
`Force: Boolean`
`);`

## Arguments

`Force` |  | If True, send the SHUTDOWN control code

## Description

StopDaemons sends the STOP control code to all daemons, or the SHUTDOWN control code in case Force is True.

## See also

TDaemonController.Controller |  | Controller
TCustomDaemonApplication.UnInstallDaemons |  | Uninstall all daemons
TCustomDaemonApplication.RunDaemons |  | Run all daemons.